package com.bs.df.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.bs.common.annotation.Excel;
import com.bs.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;

/**
 * 业务线索对象 df_biz_clue
 *
 * @author bs
 * @date 2024-04-06
 */
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("df_biz_clue")
@Data
public class DfBizClue extends BaseEntity{
    private static final long serialVersionUID = 1L;

    /** id */
    @TableId(value = "id",type = IdType.AUTO)
    @ApiModelProperty(value = "id")
    private Long id;

    /** 数据类型0客户1经纪 */

    @Excel(name = "数据类型0客户1经纪")
    @ApiModelProperty(value = "数据类型0客户1经纪")
    private String dataType;

    /** 线索类型 */

    @Excel(name = "线索类型")
    @ApiModelProperty(value = "线索类型")
    private String clueType;

    /** 用户id */

    @Excel(name = "用户id")
    @ApiModelProperty(value = "用户id")
    private Long userId;

    /** 用户昵称 */

    @Excel(name = "用户昵称")
    @ApiModelProperty(value = "用户昵称")
    private String nickName;

    /** 浏览时间 */

    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "浏览时间", width = 30, dateFormat = "yyyy-MM-dd")
    @ApiModelProperty(value = "浏览时间")
    private Date browseTime;

    /** $column.columnComment */

    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @ApiModelProperty(value = "${column.columnComment}")
    private String 业务链接;




}
