package com.bs.df.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.bs.common.annotation.Excel;
import com.bs.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;

/**
 * 客户订单对象 df_order
 *
 * @author bs
 * @date 2024-04-06
 */
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("df_order")
@Data
public class DfOrder extends BaseEntity{
    private static final long serialVersionUID = 1L;

    /** id */
    @TableId(value = "id",type = IdType.AUTO)
    @ApiModelProperty(value = "id")
    private Long id;

    /** 订单号 */

    @Excel(name = "订单号")
    @ApiModelProperty(value = "订单号")
    private String orderNo;

    /** 客户id */

    @Excel(name = "客户id")
    @ApiModelProperty(value = "客户id")
    private Long userId;

    /** 经纪id */

    @Excel(name = "经纪id")
    @ApiModelProperty(value = "经纪id")
    private Long brokerId;

    /** 产品id */

    @Excel(name = "产品id")
    @ApiModelProperty(value = "产品id")
    private Long productId;

    /** 产品名称 */

    @Excel(name = "产品名称")
    @ApiModelProperty(value = "产品名称")
    private String productName;

    /** 提交时间 */

    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "提交时间", width = 30, dateFormat = "yyyy-MM-dd")
    @ApiModelProperty(value = "提交时间")
    private Date submitTime;

    /** 申请额（万元） */

    @Excel(name = "申请额", readConverterExp = "万=元")
    @ApiModelProperty(value = "申请额（万元）")
    private Long applyAmount;

    /** 授信额（万元） */

    @Excel(name = "授信额", readConverterExp = "万=元")
    @ApiModelProperty(value = "授信额（万元）")
    private Long limitAmount;

    /** 放款额（万元） */

    @Excel(name = "放款额", readConverterExp = "万=元")
    @ApiModelProperty(value = "放款额（万元）")
    private Long loanAmount;

    /** 放款利率 */

    @Excel(name = "放款利率")
    @ApiModelProperty(value = "放款利率")
    private Long loanRate;

    /** 贷款期限（月） */

    @Excel(name = "贷款期限", readConverterExp = "月=")
    @ApiModelProperty(value = "贷款期限（月）")
    private Long loadMonth;

    /** 是否首贷 */

    @Excel(name = "是否首贷")
    @ApiModelProperty(value = "是否首贷")
    private String isFirst;

    /** 可结算金额（万元） */

    @Excel(name = "可结算金额", readConverterExp = "万=元")
    @ApiModelProperty(value = "可结算金额（万元）")
    private Long settleAmount;

    /** 状态 */

    @Excel(name = "状态")
    @ApiModelProperty(value = "状态")
    private String staus;

    /** 备注 */

    @Excel(name = "备注")
    @ApiModelProperty(value = "备注")
    private String remark;




}
