package com.bs.df.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.bs.common.annotation.Excel;
import com.bs.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;

/**
 * 产品信息对象 df_product_info
 *
 * @author bs
 * @date 2024-04-06
 */
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("df_product_info")
@Data
public class DfProductInfo extends BaseEntity{
    private static final long serialVersionUID = 1L;

    /** 产品id */
    @TableId(value = "id",type = IdType.AUTO)
    @ApiModelProperty(value = "产品id")
    private Long id;

    /** 产品名称 */

    @Excel(name = "产品名称")
    @ApiModelProperty(value = "产品名称")
    private String productName;

    /** 产品简称 */

    @Excel(name = "产品简称")
    @ApiModelProperty(value = "产品简称")
    private String simpleName;

    /** 产品类型 */

    @Excel(name = "产品类型")
    @ApiModelProperty(value = "产品类型")
    private String productType;

    /** 产品细类 */

    @Excel(name = "产品细类")
    @ApiModelProperty(value = "产品细类")
    private String productSubtype;

    /** 最高额度（元） */

    @Excel(name = "最高额度", readConverterExp = "元=")
    @ApiModelProperty(value = "最高额度（元）")
    private Long maxAmount;

    /** 年利率（单利） */

    @Excel(name = "年利率", readConverterExp = "单=利")
    @ApiModelProperty(value = "年利率（单利）")
    private String interestRate;

    /** 产品简介 */

    @Excel(name = "产品简介")
    @ApiModelProperty(value = "产品简介")
    private String productIntro;

    /** 产品详情（富文本） */

    @Excel(name = "产品详情", readConverterExp = "富=文本")
    @ApiModelProperty(value = "产品详情（富文本）")
    private String productDetail;

    /** 上架时间起 */

    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "上架时间起", width = 30, dateFormat = "yyyy-MM-dd")
    @ApiModelProperty(value = "上架时间起")
    private Date listBegin;

    /** 上架时间止 */

    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "上架时间止", width = 30, dateFormat = "yyyy-MM-dd")
    @ApiModelProperty(value = "上架时间止")
    private Date listEnd;

    /** 状态0草稿1上架 */

    @Excel(name = "状态0草稿1上架")
    @ApiModelProperty(value = "状态0草稿1上架")
    private String status;

    /** 备注 */

    @Excel(name = "备注")
    @ApiModelProperty(value = "备注")
    private String remark;




}
