import request from '@/utils/request'

// 分页查询产品信息列表
export function pageListInfo(query) {
  return request({
    url: '/product/info/pageList',
    method: 'get',
    params: query
  })
}

// 查询产品信息列表
export function listInfo(query) {
  return request({
    url: '/product/info/list',
    method: 'get',
    params: query
  })
}

// 查询产品信息详细
export function getInfo(id) {
  return request({
    url: '/product/info/' + id,
    method: 'get'
  })
}

// 新增产品信息
export function addInfo(data) {
  return request({
    url: '/product/info',
    method: 'post',
    data: data
  })
}

// 修改产品信息
export function updateInfo(data) {
  return request({
    url: '/product/info',
    method: 'put',
    data: data
  })
}

// 删除产品信息
export function delInfo(id) {
  return request({
    url: '/product/info/' + id,
    method: 'delete'
  })
}

// 导出产品信息
export function exportInfo(query) {
  return request({
    url: '/product/info/' + 'export',
    method: 'post',
    params: query
  })
}
